ForceFields::UFF::DistanceConstraintContrib Class Reference

A distance range constraint modelled after a BondStretchContrib. More...

`#include <DistanceConstraint.h>`

Inheritance diagram for ForceFields::UFF::DistanceConstraintContrib:

## Public Member Functions

| DistanceConstraintContrib ()
| DistanceConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, double minLen, double maxLen, double forceConst)
| Constructor. More...
| DistanceConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, bool relative, double minLen, double maxLen, double forceConst)
| ~DistanceConstraintContrib ()
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual DistanceConstraintContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

A distance range constraint modelled after a BondStretchContrib.

Definition at line 22 of file UFF/DistanceConstraint.h.

## Constructor & Destructor Documentation

## DistanceConstraintContrib() [1/3]

ForceFields::UFF::DistanceConstraintContrib::DistanceConstraintContrib | ( |  | ) |

inline

Definition at line 25 of file UFF/DistanceConstraint.h.

## DistanceConstraintContrib() [2/3]

ForceFields::UFF::DistanceConstraintContrib::DistanceConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | minLen,
|  | double | maxLen,
|  | double | forceConst
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions
  minLen | minimum distance
  maxLen | maximum distance
  forceConst | force Constant

## DistanceConstraintContrib() [3/3]

ForceFields::UFF::DistanceConstraintContrib::DistanceConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | bool | relative,
|  | double | minLen,
|  | double | maxLen,
|  | double | forceConst
| ) |  |

## ~DistanceConstraintContrib()

ForceFields::UFF::DistanceConstraintContrib::~DistanceConstraintContrib | ( |  | ) |

inline

Definition at line 43 of file UFF/DistanceConstraint.h.

## Member Function Documentation

## copy()

virtual DistanceConstraintContrib* ForceFields::UFF::DistanceConstraintContrib::copy | ( |  | ) | const

inline virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 50 of file UFF/DistanceConstraint.h.

## getEnergy()

double ForceFields::UFF::DistanceConstraintContrib::getEnergy | ( | double * | pos | ) | const

virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::UFF::DistanceConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- UFF/DistanceConstraint.h